Subject: bug#76381: todo-test-add-and-delete-file fails on Ubuntu 24.10

From: Stephen Berman <[email-masked]>
Date: Wed, 26 Feb 2025 10:43:30 +0100

On Tue, 25 Feb 2025 17:36:40 -0800 Paul Eggert <[email-masked]> wrote:

> On 2/25/25 01:37, Stephen Berman wrote:
>> This test has previously been reported to fail (bug#58473), though the
>> bug was closed because failure was not reliably reproducible (so it was
>> probably not on a zfs filesystem).
>
> Thanks, I reopened bug#58473 and merged it with bug#76381.
>
> If we can't figure out the apparent bug, should we mark the test as flaky or
> expensive or something like that, so that an ordinary "make check" doesn't run
> it?

Is there a portable way to identify filesystems?  If so, we could mark
the test as expected to fail on zfs.  Otherwise, I guess we could tag
the test as unstable, if that's deemed appropriate on the basis of two
bug reports.  What do the Emacs maintainers say?

Steve Berman